CVE-2003-1034
CVSS4.6
发布时间 :2004-04-15 00:00:00
修订时间 :2016-10-17 22:39:14
NMCOS    

[原文]The RPM installation of SAP DB 7.x creates the (1) dbmsrv or (2) lserver programs with world-writable permissions, which allows local users to gain privileges by modifying those programs.


[CNNVD]SAP DB RPM安装文件全局可写漏洞(CNNVD-200404-043)

        
        SAP是一个基于客户/服务机结构和开放系统的,集成的企业资源计划系统。
        RPM方式安装的SAP DB存在全局可写的二进制程序,本地攻击者可以利用这个漏洞以木马替换可写的二进制程序,导致权限提升等破坏。
        如果SAP DB从RPM安装,其中的lserver和dbmsrv二进制程序安装后的权限为全局可写,攻击者可以删除这两个程序对应用系统进行破坏,或者更改,替换程序以进行权限提升攻击。
        此漏洞不影响以tgz方式安装的应用系统。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1034
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1034
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-043
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=104914778303805&w=2
(UNKNOWN)  BUGTRAQ  20030331 SRT2003-03-31-1219 - SAP world writable server binaries
http://www.securityfocus.com/bid/7242
(VENDOR_ADVISORY)  BID  7242
http://xforce.iss.net/xforce/xfdb/11669
(VENDOR_ADVISORY)  XF  sap-db-world-writable(11669)

- 漏洞信息

SAP DB RPM安装文件全局可写漏洞
中危 设计错误
2004-04-15 00:00:00 2005-10-20 00:00:00
本地  
        
        SAP是一个基于客户/服务机结构和开放系统的,集成的企业资源计划系统。
        RPM方式安装的SAP DB存在全局可写的二进制程序,本地攻击者可以利用这个漏洞以木马替换可写的二进制程序,导致权限提升等破坏。
        如果SAP DB从RPM安装,其中的lserver和dbmsrv二进制程序安装后的权限为全局可写,攻击者可以删除这两个程序对应用系统进行破坏,或者更改,替换程序以进行权限提升攻击。
        此漏洞不影响以tgz方式安装的应用系统。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * chmod 755 /opt/sapdb/depend*/pgm/dbmsrv and /opt/sapdb/depend*/pgm/lserver
        厂商补丁:
        SAP
        ---
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.sap.com/

- 漏洞信息

11736
SAP DB RPM Installation dbmsrv Weak Permission Privilege Escalation

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-03-31 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 7.4.03 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

SAP DB RPM Install World Writable Binary Vulnerability
Design Error 7242
No Yes
2003-03-31 12:00:00 2009-07-11 09:06:00
Discovery is credited to KF <dotslash@snosoft.com>.

- 受影响的程序版本

SAP DB 7.4
SAP DB 7.3 .00

- 漏洞讨论

If SA PDB is installed from RPM's, two binaries are left with insecure permissions. The lserver and dbmsrv binaries will both be world writable after performing the RPM installation.

It is important to note that this issue only affects SAPDB installations from RPM's. This issue does not exist when SAPDB is installed from tgz packages.

- 漏洞利用

There is no exploit code necessary.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站